### Method

# RB ExtDB cancel_requests

#### Declaration [src]

    void
    rb_ext_db_cancel_requests (
      RBExtDB* store,
      RBExtDBRequestCallback callback,
      gpointer user_data
    )

#### Description [src]

Cancels all outstanding requests matching the specified callback and user data. In cases where the user data for a request is an object, this should be called early in object’s dispose function to ensure that the callback is not called on a partly or fully disposed object.

This method is not directly available to language bindings.

#### Parameters

`callback`

  Type: `RBExtDBRequestCallback`

  Callback function.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.